%global drupaldir %{_datadir}/drupal7
%global alphabeta rc
%global prerelease 1

Name:    drupal7-views
Version: 3.0
Release: 0.1.%{alphabeta}%{prerelease}%{?dist}
Summary: Provides a method for site designers to control content presentation

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/views
Source0: http://ftp.drupal.org/files/projects/views-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-ctools >= 1.0-0.1.alpha4

%description
The views module provides a flexible method for Drupal site designers
to control how lists of content (nodes) are presented. Traditionally,
Drupal has hard-coded most of this, particularly in how taxonomy and
tracker lists are formatted.

This tool is essentially a smart query builder that, given enough 
information, can build the proper query, execute it, and display the 
results. It has four modes, plus a special mode, and provides an 
impressive amount of functionality from these modes.

%prep

%setup -qn views

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/views
cp -pr * %{buildroot}%{drupaldir}/modules/views

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/views
%exclude %{drupaldir}/modules/views/*.txt

%changelog
* Sat Aug 06 2011 Jared Smith <jsmith@fedoraproject.org> - 3.0-0.1.rc1
- Initial version for Drupal 7
